## class DFGraph : public Graph

> data flow graph class.

## Inheritance:

### Public Methods

  | DFGraph ()
  void | InitConnections ()

### Inherited from Graph:

### Public Methods

void AddNode(Node *node)
void AddEdge(Edge *edge)
void RemoveNode(Node *node)
void RemoveEdge(Edge *edge)
bool HasNode(Node *node)
bool HasEdge(Edge *edge)
void ClearNodes()
void ClearEdges()
bool CheckConnection(int stype1, int stype2, int edgetype)
bool IsConnected(Subject *s1, Subject *s2)
bool IsConnected(Subject *s1, Subject *s2, const string *n)
bool IsConnected(Subject *s1, Subject *s2, int t)
bool IsConnected(Subject *s1, Subject *s2, const string *n, int t)
int CompleteSubjects(List<Subject *> *l)
int CompleteSubject(List<Subject *> *l, Subject *s)
int CompleteSubject(List<Subject *> *l, Subject *s1, Subject *s2)
int CompleteEdges(List<Subject *> *l)
int GetConnected(List<Subject *> *l, Subject *s)
int GetNodes(List<Subject *> *l)
int GetNodes(List<Subject *> *l, int t)
int GetNodes(List<Subject *> *l, const string *n)
int GetNodes(List<Subject *> *l, const string *n, int t)
int GetEdges(List<Subject *> *l)
int GetEdges(List<Subject *> *l, int t)
int GetEdges(List<Subject *> *l, const string *n)
int GetEdges(List<Subject *> *l, const string *n, int t)
int GetEdgesFrom(List<Subject *> *l, Subject *s)
int GetEdgesFrom(List<Subject *> *l, Subject *s, int t)
int GetEdgesFrom(List<Subject *> *l, Subject *s, const string *n)
int GetEdgesFrom(List<Subject *> *l, Subject *s, const string *n, int t)
int GetEdgesTo(List<Subject *> *l, Subject *s)
int GetEdgesTo(List<Subject *> *l, Subject *s, int t)
int GetEdgesTo(List<Subject *> *l, Subject *s, const string *n)
int GetEdgesTo(List<Subject *> *l, Subject *s, const string *n, int t)
int GetEdges(List<Subject *> *l, Subject *from, Subject *to)
int GetEdges(List<Subject *> *l, Subject *from, Subject *to, int t)
int GetEdges(List<Subject *> *l, Subject *from, Subject *to, const string *n)
int GetEdges(List<Subject *> *l, Subject *from, Subject *to, const string *n, int t)
int CountNodes()
int CountNodes(int t)
int CountNodes(const string *n)
int CountNodes(const string *n, int t)
int CountEdges()
int CountEdges(int t)
int CountEdges(const string *n)
int CountEdges(const string *n, int t)
int CountEdgesFrom(Subject *s)
int CountEdgesFrom(Subject *s, int t)
int CountEdgesFrom(Subject *s, const string *n)
int CountEdgesFrom(Subject *s, const string *n, int t)
int CountEdgesTo(Subject *s)
int CountEdgesTo(Subject *s, int t)
int CountEdgesTo(Subject *s, const string *n)
int CountEdgesTo(Subject *s, const string *n, int t)
int CountEdges(Subject *s1, Subject *s2)
int CountEdges(Subject *s1, Subject *s2, int t)
int CountEdges(Subject *s1, Subject *s2, const string *n)
int CountEdges(Subject *s1, Subject *s2, const string *n, int t)
bool PathExists(Subject *s1, Subject *s2)
bool PathExists(Subject *s1, Subject *s2, int t)
bool UndirectedPathExists(Subject *s1, Subject *s2)
void WriteSubjects(OutputFile *f)
void SetCounter(int n)
int GetCounter()
void SetIndexPrefix(const char *s)
void SetIndexPrefix(const string *s)
const string* GetIndexPrefix() const
void GetIndex(string *s)
virtual void GetNextIndex(string *index)
virtual int CountIndexes(const string *index)

### Protected Classes

enum

### Protected Fields

int* nodeTypes
int* edgeTypes
int connections[MAX_TYPES][MAX_TYPES][MAX_TYPES]
List <Node *> * nodes
List <Edge *> * edges

### Protected Methods

bool PathExists(Subject *s1, Subject *s2, int edgetype, bool Directed)
int CountIndex(const string *index, List<Subject *> *l)

## Documentation

> data flow graph class.

`DFGraph()`

`void InitConnections()`

Direct child classes:
  DCFGraph

alphabetic index hierarchy of classes

this page has been generated automatically by doc++

(c)opyright by Malte Zöckler, Roland Wunderling
contact: doc++@zib.de